﻿using Library;
using System;
using System.Collections.Generic;
using System.IO;
using System.IO.IsolatedStorage;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DesktopApp
{
    public class FileService : IFileService
    {
        public async Task<string> LoadStringAsync(string filename)
        {
            var file = IsolatedStorageFile.GetUserStoreForAssembly();
            using (var stream = file.OpenFile(filename, FileMode.OpenOrCreate))
            using (var reader = new StreamReader(stream))
            {
                return await reader.ReadToEndAsync();
            }
        }

        public async Task SaveStringAsync(string filename, string value)
        {
            var file = IsolatedStorageFile.GetUserStoreForAssembly();
            using (var stream = file.OpenFile(filename, FileMode.Create))
            using (var writer = new StreamWriter(stream))
            {
                await writer.WriteAsync(value); 
            }
        }
    }
}
