﻿using Library;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Storage;

namespace WindowsStoreApp
{
    public class FileService : IFileService
    {
        public async Task<string> LoadStringAsync(string filename)
        {
            try
            {
                var file = await ApplicationData.Current.LocalFolder.GetFileAsync(filename);
                return await FileIO.ReadTextAsync(file);
            }
            catch
            {
                return String.Empty;
            }
        }

        public async Task SaveStringAsync(string filename, string value)
        {
            var file = await ApplicationData.Current.LocalFolder.CreateFileAsync(filename, CreationCollisionOption.ReplaceExisting);
            await FileIO.WriteTextAsync(file, value);
        }
    }
}
